Skip to main content
GET
Get test case

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
branchId
string
required
testCaseId
string
required

Response

Test case details

A simulation test case, including its scenario, assertions, and simulation history.

id
string
required
name
string
required
scenario
string
required
assertions
TestCaseAssertion · object[]
required
variantId
string | null
required
language
string
required
channel
string
required
tags
string[]
required
severity
enum<string> | null
required

Severity of a test case, ranging from low to critical

Available options:
low,
medium,
high,
critical,
null
simulatedAt
string | null
required
callerNumber
string | null
required
sipHeaders
object
required
integrationAttributes
object
required
createdAt
string
required
createdBy
string
required
updatedAt
string
required
updatedBy
string
required
Last modified on November 12, 2026